Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.customer
Interface CustomerDelegateHome

    public interface CustomerDelegateHome

The home interface for the Customer entity bean. Use this class to create, remove, and find Customer entity beans.

Method Summary
`CustomerDelegate` | `create(CustomerDelegatePk customerPk)` Create a new Customer entity bean using the primary key
`CustomerDelegate` | `findByPrimaryKey(CustomerDelegatePk customerPk)` Find an Customer entity bean using the primary key
`CustomerDelegate` | `findByUserIdentifier(String identifier)` Access existing customer -- if not found, then try to create a new one.

Method Detail

### create

    CustomerDelegate create(CustomerDelegatePk customerPk)
                            throws CreateException,
                                   RemoteException

  Create a new Customer entity bean using the primary key

  Throws
    `CreateException`
    `RemoteException`

### findByPrimaryKey

    CustomerDelegate findByPrimaryKey(CustomerDelegatePk customerPk)
                                      throws RemoteException,
                                             FinderException

  Find an Customer entity bean using the primary key

  Returns
    Remote interface to Customer
  Throws
    `FinderException` - if cannot locate named customer
    `RemoteException`

### findByUserIdentifier

    CustomerDelegate findByUserIdentifier(String identifier)
                                          throws RemoteException,
                                                 FinderException

  Access existing customer -- if not found, then try to create a new one.

  Parameters
    `identifier` - Customer name
  Returns
    Remote interface to Customer
  Throws
    `CreateException` - if cannot create new customer of that name
    `RemoteException`
    `FinderException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved